<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title>QR Scanner</ion-card-title>
    </ion-card-header>
    <ion-card-content>
      <ion-button expand="full" color="success" (click)="StartScanBarcode()">Start scan</ion-button>
      <ion-button expand="full" color="success" (click)="gotoQrGeneratePage()">Go For Generate Qr code</ion-button>
      <div *ngIf="scannedData">
        <p>
          Scanned Code Text : <b>{{ scannedData["text"] }}</b>
        </p>
        <p>
          Scanned Code Format : <b>{{ scannedData["format"] }}</b>
        </p>
      </div>
    </ion-card-content>
  </ion-card>
</ion-content>